Plantillas
Las plantillas de tarjeta que creás en el panel. Acá se listan, se consultan y se administran.
/api/v2/templates/{id}/activateAuthorization
ApiKeyAuth In: header
Path Parameters
Response Body
application/json
curl -X POST "https://example.com/api/v2/templates/string/activate"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "idHash": "string", "companyId": 0, "type": 0, "name": "string", "customFields": [ { "id": 0, "name": "string", "type": "string", "order": 0, "value": "string", "required": true, "unique": true } ], "membershipTiers": [ { "id": 0, "templateId": 0, "name": "string", "description": "string", "dailyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "weeklyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "monthlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "yearlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "benefits": [ "string" ] } ], "rewardTiers": [ { "id": 0, "templateId": 0, "name": "string", "type": 0, "threshold": 0, "value": 0.1, "valueLimit": 0.1, "periodValueLimit": 0.1, "usageLimit": 0, "limitPeriod": 0, "calendarPeriod": true, "imageUrl": "string", "includedSegmentIds": [ 0 ], "excludedSegmentIds": [ 0 ], "includedUtmLinkIds": [ 0 ], "excludedUtmLinkIds": [ 0 ] } ], "appearance": { "barcodeType": "string", "textColor": "string", "backgroundColor": "string", "activeStampColor": "string", "inactiveStampColor": "string", "stampBackgroundColor": "string", "stampStrokeColor": "string", "stampsAreaBackgroundColor": "string", "logoImageUrl": "string", "iconImageUrl": "string", "backgroundImageUrl": "string", "activeStampImageUrl": "string", "inactiveStampImageUrl": "string" }, "installLink": "string", "qrLink": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "utmLinks": [ { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" } ], "systemUtmLinks": [ { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" } ] }}/api/v2/templates/{templateId}/feedback-linksAuthorization
ApiKeyAuth In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v2/templates/string/feedback-links" \ -H "Content-Type: application/json" \ -d '{ "link": "string" }'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": {}}/api/v2/templates/{templateId}/membership-tiersAuthorization
ApiKeyAuth In: header
Path Parameters
\d+Response Body
application/json
curl -X GET "https://example.com/api/v2/templates/string/membership-tiers"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": [ { "id": 0, "templateId": 0, "name": "string", "description": "string", "dailyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "weeklyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "monthlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "yearlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "benefits": [ "string" ] } ]}/api/v2/templates/{templateId}/membership-tiersAuthorization
ApiKeyAuth In: header
Path Parameters
\d+Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v2/templates/string/membership-tiers" \ -H "Content-Type: application/json" \ -d '{ "name": "", "description": "", "dailyParameters": {}, "weeklyParameters": {}, "monthlyParameters": {}, "yearlyParameters": {} }'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "templateId": 0, "name": "string", "description": "string", "dailyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "weeklyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "monthlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "yearlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "benefits": [ "string" ] }}/api/v2/templates/{templateId}/reward-tiersAuthorization
ApiKeyAuth In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v2/templates/string/reward-tiers" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "custom", "value": 0.1 }'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "templateId": 0, "name": "string", "type": 0, "threshold": 0, "value": 0.1, "valueLimit": 0.1, "periodValueLimit": 0.1, "usageLimit": 0, "limitPeriod": 0, "calendarPeriod": true, "imageUrl": "string", "includedSegmentIds": [ 0 ], "excludedSegmentIds": [ 0 ], "includedUtmLinkIds": [ 0 ], "excludedUtmLinkIds": [ 0 ] }}/api/v2/templatesAuthorization
ApiKeyAuth In: header
Query Parameters
Page number
1 <= value1Items per page
1 <= value <= 100030Response Body
application/json
curl -X GET "https://example.com/api/v2/templates"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "meta": { "totalItems": 0, "itemsPerPage": 0, "currentPage": 0 }, "data": [ { "id": 0, "idHash": "string", "companyId": 0, "type": 0, "name": "string", "customFields": [ { "id": 0, "name": "string", "type": "string", "order": 0, "value": "string", "required": true, "unique": true } ], "membershipTiers": [ { "id": 0, "templateId": 0, "name": "string", "description": "string", "dailyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "weeklyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "monthlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "yearlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "benefits": [ "string" ] } ], "rewardTiers": [ { "id": 0, "templateId": 0, "name": "string", "type": 0, "threshold": 0, "value": 0.1, "valueLimit": 0.1, "periodValueLimit": 0.1, "usageLimit": 0, "limitPeriod": 0, "calendarPeriod": true, "imageUrl": "string", "includedSegmentIds": [ 0 ], "excludedSegmentIds": [ 0 ], "includedUtmLinkIds": [ 0 ], "excludedUtmLinkIds": [ 0 ] } ], "appearance": { "barcodeType": "string", "textColor": "string", "backgroundColor": "string", "activeStampColor": "string", "inactiveStampColor": "string", "stampBackgroundColor": "string", "stampStrokeColor": "string", "stampsAreaBackgroundColor": "string", "logoImageUrl": "string", "iconImageUrl": "string", "backgroundImageUrl": "string", "activeStampImageUrl": "string", "inactiveStampImageUrl": "string" }, "installLink": "string", "qrLink": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "utmLinks": [ { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" } ], "systemUtmLinks": [ { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" } ] } ]}/api/v2/templatesAuthorization
ApiKeyAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v2/templates" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "stamp", "customFields": [ { "name": "string", "type": "number" } ] }'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "idHash": "string", "companyId": 0, "type": 0, "name": "string", "customFields": [ { "id": 0, "name": "string", "type": "string", "order": 0, "value": "string", "required": true, "unique": true } ], "membershipTiers": [ { "id": 0, "templateId": 0, "name": "string", "description": "string", "dailyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "weeklyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "monthlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "yearlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "benefits": [ "string" ] } ], "rewardTiers": [ { "id": 0, "templateId": 0, "name": "string", "type": 0, "threshold": 0, "value": 0.1, "valueLimit": 0.1, "periodValueLimit": 0.1, "usageLimit": 0, "limitPeriod": 0, "calendarPeriod": true, "imageUrl": "string", "includedSegmentIds": [ 0 ], "excludedSegmentIds": [ 0 ], "includedUtmLinkIds": [ 0 ], "excludedUtmLinkIds": [ 0 ] } ], "appearance": { "barcodeType": "string", "textColor": "string", "backgroundColor": "string", "activeStampColor": "string", "inactiveStampColor": "string", "stampBackgroundColor": "string", "stampStrokeColor": "string", "stampsAreaBackgroundColor": "string", "logoImageUrl": "string", "iconImageUrl": "string", "backgroundImageUrl": "string", "activeStampImageUrl": "string", "inactiveStampImageUrl": "string" }, "installLink": "string", "qrLink": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "utmLinks": [ { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" } ], "systemUtmLinks": [ { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" } ] }}/api/v2/templates/{templateId}/feedback-links/{id}Authorization
ApiKeyAuth In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v2/templates/string/feedback-links/string" \ -H "Content-Type: application/json" \ -d '{}'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": {}}/api/v2/templates/{templateId}/feedback-links/{id}Authorization
ApiKeyAuth In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/api/v2/templates/string/feedback-links/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0 }}/api/v2/templates/{templateId}/membership-tiers/{id}Authorization
ApiKeyAuth In: header
Path Parameters
\d+\d+Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v2/templates/string/membership-tiers/string" \ -H "Content-Type: application/json" \ -d '{}'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "templateId": 0, "name": "string", "description": "string", "dailyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "weeklyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "monthlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "yearlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "benefits": [ "string" ] }}/api/v2/templates/{templateId}/membership-tiers/{id}Authorization
ApiKeyAuth In: header
Path Parameters
\d+\d+Response Body
application/json
curl -X DELETE "https://example.com/api/v2/templates/string/membership-tiers/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0 }}/api/v2/templates/{templateId}/reward-tiers/{id}Authorization
ApiKeyAuth In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v2/templates/string/reward-tiers/string" \ -H "Content-Type: application/json" \ -d '{}'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "templateId": 0, "name": "string", "type": 0, "threshold": 0, "value": 0.1, "valueLimit": 0.1, "periodValueLimit": 0.1, "usageLimit": 0, "limitPeriod": 0, "calendarPeriod": true, "imageUrl": "string", "includedSegmentIds": [ 0 ], "excludedSegmentIds": [ 0 ], "includedUtmLinkIds": [ 0 ], "excludedUtmLinkIds": [ 0 ] }}/api/v2/templates/{templateId}/reward-tiers/{id}Authorization
ApiKeyAuth In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/api/v2/templates/string/reward-tiers/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0 }}/api/v2/templates/{id}Authorization
ApiKeyAuth In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v2/templates/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "idHash": "string", "companyId": 0, "type": 0, "name": "string", "customFields": [ { "id": 0, "name": "string", "type": "string", "order": 0, "value": "string", "required": true, "unique": true } ], "membershipTiers": [ { "id": 0, "templateId": 0, "name": "string", "description": "string", "dailyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "weeklyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "monthlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "yearlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "benefits": [ "string" ] } ], "rewardTiers": [ { "id": 0, "templateId": 0, "name": "string", "type": 0, "threshold": 0, "value": 0.1, "valueLimit": 0.1, "periodValueLimit": 0.1, "usageLimit": 0, "limitPeriod": 0, "calendarPeriod": true, "imageUrl": "string", "includedSegmentIds": [ 0 ], "excludedSegmentIds": [ 0 ], "includedUtmLinkIds": [ 0 ], "excludedUtmLinkIds": [ 0 ] } ], "appearance": { "barcodeType": "string", "textColor": "string", "backgroundColor": "string", "activeStampColor": "string", "inactiveStampColor": "string", "stampBackgroundColor": "string", "stampStrokeColor": "string", "stampsAreaBackgroundColor": "string", "logoImageUrl": "string", "iconImageUrl": "string", "backgroundImageUrl": "string", "activeStampImageUrl": "string", "inactiveStampImageUrl": "string" }, "installLink": "string", "qrLink": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "utmLinks": [ { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" } ], "systemUtmLinks": [ { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" } ] }}/api/v2/templates/{id}Authorization
ApiKeyAuth In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v2/templates/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "stamp", "customFields": [ { "name": "string", "type": "number" } ] }'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "idHash": "string", "companyId": 0, "type": 0, "name": "string", "customFields": [ { "id": 0, "name": "string", "type": "string", "order": 0, "value": "string", "required": true, "unique": true } ], "membershipTiers": [ { "id": 0, "templateId": 0, "name": "string", "description": "string", "dailyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "weeklyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "monthlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "yearlyParameters": { "price": 0.1, "limit": 0, "perFilialLimit": 0, "active": true, "recommended": true }, "benefits": [ "string" ] } ], "rewardTiers": [ { "id": 0, "templateId": 0, "name": "string", "type": 0, "threshold": 0, "value": 0.1, "valueLimit": 0.1, "periodValueLimit": 0.1, "usageLimit": 0, "limitPeriod": 0, "calendarPeriod": true, "imageUrl": "string", "includedSegmentIds": [ 0 ], "excludedSegmentIds": [ 0 ], "includedUtmLinkIds": [ 0 ], "excludedUtmLinkIds": [ 0 ] } ], "appearance": { "barcodeType": "string", "textColor": "string", "backgroundColor": "string", "activeStampColor": "string", "inactiveStampColor": "string", "stampBackgroundColor": "string", "stampStrokeColor": "string", "stampsAreaBackgroundColor": "string", "logoImageUrl": "string", "iconImageUrl": "string", "backgroundImageUrl": "string", "activeStampImageUrl": "string", "inactiveStampImageUrl": "string" }, "installLink": "string", "qrLink": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "utmLinks": [ { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" } ], "systemUtmLinks": [ { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" } ] }}/api/v2/templates/{id}Authorization
ApiKeyAuth In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/api/v2/templates/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0 }}/api/v2/templates/{templateId}/utm-linksAuthorization
ApiKeyAuth In: header
Path Parameters
Query Parameters
Page number
1 <= value1Items per page
1 <= value <= 100030Response Body
application/json
curl -X GET "https://example.com/api/v2/templates/string/utm-links"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "meta": { "totalItems": 0, "itemsPerPage": 0, "currentPage": 0 }, "data": [ { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" } ]}/api/v2/templates/{templateId}/utm-linksAuthorization
ApiKeyAuth In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v2/templates/string/utm-links" \ -H "Content-Type: application/json" \ -d '{ "name": "" }'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" }}/api/v2/templates/{templateId}/utm-links/{id}Authorization
ApiKeyAuth In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v2/templates/string/utm-links/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" }}/api/v2/templates/{templateId}/utm-links/{id}Authorization
ApiKeyAuth In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v2/templates/string/utm-links/string" \ -H "Content-Type: application/json" \ -d '{}'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0, "templateId": 0, "type": "string", "name": "string", "utmSource": "string", "shortLink": "string", "welcomeBonusesNumber": 0, "welcomeStampsNumber": 0, "welcomeExpiryPeriodInUnits": 0, "welcomeExpiryPeriodUnits": "string", "formTitle": "string", "formImageUrl": "string" }}/api/v2/templates/{templateId}/utm-links/{id}Authorization
ApiKeyAuth In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/api/v2/templates/string/utm-links/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0 }}